Index · Directives · Python · libudev · gudev systemd 4

## Name

hostname — Local hostname configuration file

## Synopsis

`/etc/hostname`

## Description

The `/etc/hostname` file configures the name of the local system that is set during boot using the sethostname(2) system call. It should contain a single newline-terminated hostname string. The hostname may be a free-form string up to 64 characters in length; however, it is recommended that it consists only of 7-bit ASCII lower-case characters and no spaces or dots, and limits itself to the format allowed for DNS domain name labels, even though this is not a strict requirement.

Depending on the operating system, other configuration files might be checked for configuration of the hostname as well, however only as fallback.

## History

The simple configuration file format of `/etc/hostname` originates from Debian GNU/Linux.

## See Also

systemd(1), sethostname(2), hostname(1), hostname(7), machine-id(5), machine-info(5)